Bug 549878 - View on Cron configuration daily job open wrong cron entry (automated testcase)
View on Cron configuration daily job open wrong cron entry (automated testcase)
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
John Sefler
: SubBug
Depends On:
Blocks: RHQ_Config rhq_triage
  Show dependency treegraph
 
Reported: 2009-12-22 16:27 EST by John Sefler
Modified: 2014-05-16 16:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 16:18:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2009-12-22 16:27:55 EST
Description of problem:
Just After creating a cron tab with multiple daily jobs, clicking the View action on one of the Cron configurations opens the wrong cron entry.

Version-Release number of selected component (if applicable):
build 87

How reproducible:
often, but not always.

Steps to Reproduce:
1.Through RHQ Create a cron tab /etc/cron.d/bug with entries
1 2 * * * root echo "foo"
3 4 * * * root echo "bar"

2. Submit
3. Click on Configuration tab
4. click View on the row containing entry: 1 2 * * * root echo "foo"
  
Actual results:
The cron entry display belongs to a different entry


Expected results:
The cron entry for 1 2 * * * root echo "foo"


Note:
If I now click OK and View the entry again....   then this time the configuration displayed is correct.

Additional info:
Comment 1 John Sefler 2010-01-19 11:10:55 EST
This problem is NOT specific to the Cron plugin.  I have also observed this behaviour on other linux config plugins.
Comment 2 wes hayutin 2010-02-09 07:51:06 EST
Charles does not want config related bugs worked on until they are back on the road map.
Comment 3 wes hayutin 2010-02-16 11:56:00 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:01:06 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 Corey Welton 2010-10-05 09:08:10 EDT
Lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.